Create a pricelist

post

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/pricelist

Creates a new pricelist using the supplied request payload and returns the created resource.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : PricelistOracle
Type: object
Title: PricelistOracle
A list of offers and its coresponding prices which can be used for selling the offer in a region or a particular set of customers.
Show Source
Nested Schema : BalanceElementRef
Type: object
Title: BalanceElementRef
The balance element ref in price.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the pricelist create.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Back to Top

Response

Supported Media Types

201 Response

The pricelist was created successfully.
Body ()
Root Schema : PricelistOracle
Type: object
Title: PricelistOracle
A list of offers and its coresponding prices which can be used for selling the offer in a region or a particular set of customers.
Show Source
Nested Schema : BalanceElementRef
Type: object
Title: BalanceElementRef
The balance element ref in price.
Show Source
Nested Schema : productOffering
Type: array
A list of product offerings associated with the pricelist.
Show Source
  • ProductOfferingRef
    Title: ProductOfferingRef
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductOfferingRef":"#/components/schemas/ProductOfferingRef", "BundledProductOffering":"#/components/schemas/BundledProductOffering", "BundledProductOfferingChoiceOracle":"#/components/schemas/BundledProductOfferingChoiceOracle", "BundledProductOfferingOracle":"#/components/schemas/BundledProductOfferingOracle" } }
    The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : promotion
Type: array
A list of promotions associated with the pricelist.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the pricelist.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : ProductOfferingRef
Type: object
Title: ProductOfferingRef
Discriminator: @type

Discriminator Values

The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Show Source
Nested Schema : PromotionRef
Type: object
Title: PromotionRef
The promotion reference.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create a price list by submitting a POST request on the REST resource using cURL.

cURL Command

curl -u username:password -X POST https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/pricelist \ -H 'Content-Type: application/json' -D @create_pricelist.json | json_pp

Example of Request Body

The following shows the contents of the request body in JSON format.

{
    "id": "DBE_NA_PL",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/pricelist/DBE_NA_PL",
    "name": "DBE NA Pricelist",
    "description": "DBE NA Pricelist",
    "@type": "PricelistOracle",
    "version": "1.0",
    "validFor": {
        "startDateTime": "2024-07-22T00:00:00.000Z"
    },
    "project": {
        "id": "DBE_RI_ProdModel_PreSeed_PSP",
        "name": "DBE RI Product Model Preseed",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "lifecycleStatus": "In design",
    "currency": "USD",
    "pricelistType": "BUSINESS"
    
}

Example of Response Body

The following shows the contents of the response body in JSON format.

{
    "lastUpdate": "2025-02-17T12:34:59.052Z",
    "lastUpdatedBy": "booth",
    "created": "2025-02-17T12:34:59.000Z",
    "createdBy": "booth",
    "versionState": 0,
    "id": "DBE_NA_PL1",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/pricelist/DBE_NA_PL1",
    "name": "DBE NA Pricelist1",
    "description": "DBE NA Pricelist",
    "@type": "PricelistOracle",
    "version": "1.0",
    "validFor": {
        "startDateTime": "2024-07-22T00:00:00.000Z"
    },
    "project": {
        "id": "DBE_RI_ProdModel_PreSeed_PSP",
        "name": "DBE RI Product Model Preseed",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "lifecycleStatus": "In design",
    "currency": "USD",
    "pricelistType": "BUSINESS"
}
Back to Top